Package com.sun.jna

# Class CallbackParameterContext

java.lang.Object
com.sun.jna.FromNativeContext
com.sun.jna.CallbackParameterContext

public class CallbackParameterContext extends FromNativeContext
Provide argument conversion context for a callback invocation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CallbackParameterContext(Class<?> javaType, Method m, Object[] args, int index)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object[]`
  `getArguments()`
  `int`
  `getIndex()`
  `Method`
  `getMethod()`

  ### Methods inherited from class com.sun.jna.FromNativeContext

  `getTargetType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CallbackParameterContext

    CallbackParameterContext(Class<?> javaType, Method m, Object[] args, int index)

- ## Method Details

  - ### getMethod

    public Method getMethod()

  - ### getArguments

    public Object[] getArguments()

  - ### getIndex

    public int getIndex()